POST api/externalpicking/linecompleted?wmslineid={wmslineid}

This method should be called when the user of the external picking application has finished handling a picking line, and will not return to the line again. So this method should always be called exactly once for each line. The picked quantity, along with provided container identifiers, serial numbers etc. are stored into the WMS database. Returns 200 OK on success, non-2xx response on failure.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
wmslineid

Identifier of the WMS picking task line resource which was completed.

string

Required

Body Parameters

Object specifying information about the completed line

LineCompletedEventArgs
NameDescriptionTypeAdditional information
pickerCode

Identifier of the picker which performed the task

string

None.

wmsLineID

Identifier of the WMS line

string

None.

packages

Packages along with quantity and weight packaged to each

Collection of LineCompletedPackageItem

None.

LineStartedTimestamp

Date and time when the picker started the batch, in format YYYY-MM-DDTHH:MM:SS for local time as receiver perceives it, or YYYY-MM-DDTHH:MM:SSZ for UTC. This argument is required.

string

None.

LineEndedTimestamp

Date and time when the picker finished the batch, in format YYYY-MM-DDTHH:MM:SS for local time as receiver perceives it, or YYYY-MM-DDTHH:MM:SSZ for UTC. This argument can be null or empty, in which case the server uses current timestamp as end time.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "pickerCode": "sample string 1",
  "wmsLineID": "sample string 2",
  "packages": [
    {
      "packageCode": "sample string 1",
      "amount": 2.0,
      "weight": 3.0,
      "serialNumbers": [
        "sample string 1",
        "sample string 2"
      ]
    },
    {
      "packageCode": "sample string 1",
      "amount": 2.0,
      "weight": 3.0,
      "serialNumbers": [
        "sample string 1",
        "sample string 2"
      ]
    }
  ],
  "LineStartedTimestamp": "sample string 3",
  "LineEndedTimestamp": "sample string 4"
}

application/xml, text/xml

Sample:
<LineCompletedEventArgs xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WMS.WebApiService.DTOs">
  <LineEndedTimestamp>sample string 4</LineEndedTimestamp>
  <LineStartedTimestamp>sample string 3</LineStartedTimestamp>
  <packages>
    <LineCompletedPackageItem>
      <amount>2</amount>
      <packageCode>sample string 1</packageCode>
      <serialNumbers xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:string>sample string 1</d4p1:string>
        <d4p1:string>sample string 2</d4p1:string>
      </serialNumbers>
      <weight>3</weight>
    </LineCompletedPackageItem>
    <LineCompletedPackageItem>
      <amount>2</amount>
      <packageCode>sample string 1</packageCode>
      <serialNumbers xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:string>sample string 1</d4p1:string>
        <d4p1:string>sample string 2</d4p1:string>
      </serialNumbers>
      <weight>3</weight>
    </LineCompletedPackageItem>
  </packages>
  <pickerCode>sample string 1</pickerCode>
  <wmsLineID>sample string 2</wmsLineID>
</LineCompletedEventArgs>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'LineCompletedEventArgs'.

Response Information

Resource Description

PostLineCompletedJson
NameDescriptionTypeAdditional information
Status

Return status

string

None.

wmslineid

current line id

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Status": "sample string 1",
  "wmslineid": "sample string 2"
}

application/xml, text/xml

Sample:
<PostLineCompletedJson xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WMS.WebApiService.DTOs">
  <Status>sample string 1</Status>
  <wmslineid>sample string 2</wmslineid>
</PostLineCompletedJson>